<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_4e7af63a0a4c1eaf" . "e5742f795b98e323" => base64_decode("TmV3cy" . "Bjb21t" . "ZW50IC" . "M="), "_d50d529d5739d1" . "03bc48e65a4b513" . "fe3" => base64_decode("Q29tbWVudEFkZGVkRXZlbnRSZ" . "WNlaXZlcg=="), "_e8d7d527b284cadd317dfbdb10b3" . "4e4e" => base64_decode("Q29tbWVudFVwZGF0Z" . "WRFdmVudFJlY2Vpdm" . "Vy"), "_191a9c69470" . "1b5e98f9b02b" . "73105f5cf" => base64_decode("Q29tbWVudERlbGV0ZWRF" . "dmVudFJlY2VpdmVy"), "comme" . "nt" => base64_decode("Y29tbWV" . "udA=="), "_d3c7204" . "3723006b" . "659492f0" . "87ddf1fd" . "f" => base64_decode("bmV3" . "cw=="), "_2e799a34cc60c12ca876d27b573a" . "11eb" => base64_decode("IGFkZGV" . "k"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d50d529" . "d5739d10" . "3bc48e65" . "a4b513fe" . "3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_191a9c694701b5e98f9b02b73105f5" . "cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e8d7d527b284c" . "add317dfbdb10b" . "34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d3c72043723006b659492f087ddf1" . "fdf"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["co" . "mm" . "en" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4e7af63a0a4c1eafe5742f" . "795b98e323"] . $comment->id . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2e799a34cc60c12ca876d27" . "b573a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}